Add service principal credentials
Creates new service principal credentials in the credentials service API for a specified account public ID. Use this to authenticate and authorize access for the service principal.
HTTP method and endpoint
POST /accounts/{accountPublicId}/azure/service-principal
Token usage
NetApp Console user token.
Usage notes
Creates new ARN credentials for a specified account public ID.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountPublicId |
string |
path |
True |
|
isGov |
boolean |
query |
False |
Indicates whether the service principal is located in the AWS GovCloud (US) location |
x-simulator |
string |
header |
False |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
tenantId |
string |
True |
|
clientId |
string |
True |
|
clientSecret |
string |
True |
|
name |
string |
True |
Example request
{
"tenantId": "string",
"clientId": "string",
"clientSecret": "string",
"name": "string"
}
Response
Status: 200, Successful stored service principal credentials
| Name | Type | Required | Description |
|---|---|---|---|
credentialsId |
string |
True |
|
credentialsType |
string |
True |
|
extra |
True |
||
isSimulated |
boolean |
True |
Error
Status: 404, Account not found
Definitions
See Definitions
extra